handler.c File Reference
`#include "ruby/ruby.h"`
`#include "syck.h"`

Go to the source code of this file.

## Functions

SYMID | syck_hdlr_add_node (SyckParser *p, SyckNode *n)
SyckNode * | syck_hdlr_add_anchor (SyckParser *p, char *a, SyckNode *n)
void | syck_hdlr_remove_anchor (SyckParser *p, char *a)
SyckNode * | syck_hdlr_get_anchor (SyckParser *p, char *a)
void | syck_add_transfer (char *uri, SyckNode *n, int taguri)
char * | syck_xprivate (const char *type_id, int type_len)
char * | syck_taguri (const char *domain, const char *type_id, int type_len)
int | syck_try_implicit (SyckNode *n)

## Function Documentation

void syck_add_transfer | ( | char * | uri,
|  | SyckNode * | n,
|  | int | taguri
| ) |  |

Definition at line 129 of file handler.c.

References NULL, S_FREE, syck_type_id_to_uri(), and _syck_node::type_id.

Referenced by yyparse().

SyckNode* syck_hdlr_add_anchor | ( | SyckParser * | p,
|  | char * | a,
|  | SyckNode * | n
| ) |  |

Definition at line 31 of file handler.c.

References _syck_node::anchor, _syck_parser::anchors, bad, _syck_parser::bad_anchors, _syck_parser::handler, _syck_node::id, _syck_node::kind, NULL, st_init_strtable, st_insert, st_lookup, syck_free_node(), and syck_str_kind.

Referenced by yyparse().

SYMID syck_hdlr_add_node | ( | SyckParser * | p,
|  | SyckNode * | n
| ) |  |

Definition at line 13 of file handler.c.

References _syck_node::anchor, _syck_parser::handler, _syck_node::id, id, NULL, syck_free_node(), and SYMID.

Referenced by apply_seq_in_map(), and yyparse().

SyckNode* syck_hdlr_get_anchor | ( | SyckParser * | p,
|  | char * | a
| ) |  |

Definition at line 83 of file handler.c.

References _syck_node::anchor, _syck_parser::anchors, _syck_parser::bad_anchor_handler, _syck_parser::bad_anchors, NULL, S_FREE, st_init_strtable, st_insert, and st_lookup.

Referenced by yyparse().

void syck_hdlr_remove_anchor | ( | SyckParser * | p,
|  | char * | a
| ) |  |

Definition at line 64 of file handler.c.

References _syck_parser::anchors, NULL, st_delete, st_init_strtable, st_insert, and syck_free_node().

Referenced by sycklex_bytecode_utf8(), and sycklex_yaml_utf8().

char* syck_taguri | ( | const char * | domain,
|  | const char * | type_id,
|  | int | type_len
| ) |  |

Definition at line 157 of file handler.c.

References S_ALLOC_N, and strlen().

Referenced by syck_emit_scalar(), syck_type_id_to_uri(), sycklex_yaml_utf8(), try_tag_implicit(), and yyparse().

int syck_try_implicit | ( | SyckNode * | n | ) |

Definition at line 169 of file handler.c.

char* syck_xprivate | ( | const char * | type_id,
|  | int | type_len
| ) |  |

Definition at line 147 of file handler.c.

References S_ALLOC_N.

Referenced by syck_type_id_to_uri().